using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using D.BLL;
using D.Model;
using D.Common;

public partial class admin_iframe_fashion_1 : System.Web.UI.Page
{
    private B_Admin bllAdmin = new B_Admin();
    private M_Admin modelAdmin = new M_Admin();
    private B_Site bllSite = new B_Site();
    private M_Site modelSite = new M_Site();

    protected void Page_Load(object sender, EventArgs e)
    {
        bllAdmin.CheckIsLogin();
        modelAdmin = bllAdmin.GetLoginModel();
        modelSite = bllSite.GetModel();
        CssName.Attributes.Add("href", "../css/skin/" + Function.GetCssName() + "/css.css");

        Header.Title = "" + modelSite.SiteName + " 管理后台";
            if (modelAdmin.Portrait.Length > 0)
            {
                if (modelAdmin.Portrait.StartsWith("http"))
                {
                    Portrait.ImageUrl = modelAdmin.Portrait;
                }
                else
                {
                    Portrait.ImageUrl = Param.ApplicationRootPath + "/" + modelSite.UploadFolder + "/user/" + modelAdmin.Portrait;
                }
            }
            else
            {
                Portrait.ImageUrl = "../css/skin/fashion/img/avatar3.png";
            }
            LitUserName.Text = modelAdmin.TrueName;
    }
}
